package intrinsic.flash.events;

public class OutputProgressEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public double bytesTotal;
	public double bytesPending;

	/** Variables */

	/** Constants */
	public static final String OUTPUT_PROGRESS = "output_progress";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public OutputProgressEvent() {
}

public OutputProgressEvent(String arg0) {
}

public OutputProgressEvent(String arg0, boolean arg1) {
}

public OutputProgressEvent(String arg0, boolean arg1, boolean arg2) {
}

public OutputProgressEvent(String arg0, boolean arg1, boolean arg2, double arg3) {
}

public OutputProgressEvent(String arg0, boolean arg1, boolean arg2, double arg3, double arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
